Bug 1272054 - Review Request: perl-Roman - Functions for converting between Roman and Arabic numerals
Review Request: perl-Roman - Functions for converting between Roman and Arabi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 07:17 EDT by Jitka Plesnikova
Modified: 2015-10-31 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Roman-1.24-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:36:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2015-10-15 07:17:41 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Roman/perl-Roman.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Roman/perl-Roman-1.24-1.fc24.src.rpm

Description:
This package provides some functions which help conversion of numeric
notation between Roman and Arabic.

Fedora Account System Username: jplesnik@redhat.com

Package is required by perl-HTML-Toc.
Comment 1 Upstream Release Monitoring 2015-10-16 03:55:31 EDT
ppisar's scratch build of perl-Roman-1.24-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11470869
Comment 2 Petr Pisar 2015-10-16 04:02:52 EDT
URL and Source0 are usable. Ok.
Source archive is original (SHA-256: 3080375bf5f96cb15310d1870a75472dc1fd2371273c6a546b81401b6f674a28).
License verified from lib/Roman.pm, README. Ok.
Summary verified from lib/Roman.pm. Ok
Description verified from lib/Roman.pm. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Constrain `perl(Exporter)' BuildRequires with `>= 5.57' (META.json:39).

All tests pass. Ok.

$ rpmlint perl-Roman.spec ../SRPMS/perl-Roman-1.24-1.fc24.src.rpm ../RPMS/noarch/perl-Roman-1.24-1.fc24.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Roman-1.24-1.fc24.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Oct 16 09:52 /usr/share/doc/perl-Roman
-rw-r--r--    1 root    root                      757 Oct 16 09:52 /usr/share/doc/perl-Roman/Changes
-rw-r--r--    1 root    root                     1395 Oct 16 09:52 /usr/share/doc/perl-Roman/README
-rw-r--r--    1 root    root                     2145 Oct 16 09:52 /usr/share/man/man3/Roman.3pm.gz
-rw-r--r--    1 root    root                     3920 Mar  1  2015 /usr/share/perl5/vendor_perl/Roman.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Roman-1.24-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.6.0
      1 perl(Exporter)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Constrain `perl(Exporter)' Requires with `>= 5.57' (META.json:39).

$ rpm -q --provides -p ../RPMS/noarch/perl-Roman-1.24-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(Roman) = 1.24
      1 perl-Roman = 1.24-1.fc24
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Roman-1.24-1.fc24.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F24 (http://koji.fedoraproject.org/koji/taskinfo?taskID=11470869). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' items before building the package.
Resolution: Package APPROVED.
Comment 3 Jitka Plesnikova 2015-10-16 10:18:55 EDT
Thank you for the review and the repository.
Comment 4 Fedora Update System 2015-10-16 10:25:33 EDT
perl-Roman-1.24-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c5f7e658d0
Comment 5 Fedora Update System 2015-10-16 15:50:52 EDT
perl-Roman-1.24-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Roman'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c5f7e658d0
Comment 6 Fedora Update System 2015-10-31 22:36:01 EDT
perl-Roman-1.24-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.